package com.blogspot.nkoksharov.springevents;

import java.util.concurrent.Executors;
import java.util.concurrent.ScheduledExecutorService;
import java.util.concurrent.TimeUnit;

import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;

import com.blogspot.nkoksharov.springevents.jgroups.JGroupsEvent;

/**
 * Node launcher example. Running spring-context and sends events every 5 seconds.
 *
 * @author nkoksharov
 *
 */
public class NodeLaunch {

    private static final ScheduledExecutorService EXECUTOR = Executors.newScheduledThreadPool(1);

    public static void main(String[] args) {
        final ApplicationContext applicationContext = new ClassPathXmlApplicationContext("app-context.xml");
        EXECUTOR.scheduleWithFixedDelay(new Runnable() {
            @Override
            public void run() {
                applicationContext.publishEvent(new JGroupsEvent("Hello!"));
            }
        }, 5, 5, TimeUnit.SECONDS);
    }

}
