package com.blogspot.nkoksharov.springevents;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.context.ApplicationEvent;
import org.springframework.context.ApplicationListener;

import com.blogspot.nkoksharov.springevents.jgroups.JGroupsEvent;

/**
 * Simple JGroups event listener
 *
 * @author nkoksharov
 *
 */
public class SimpleEventListener implements ApplicationListener {

	private final Logger logger =  LoggerFactory.getLogger(getClass());

	@Override
	public void onApplicationEvent(ApplicationEvent event) {
		if (!(event instanceof JGroupsEvent)) {
			return;
		}
		logger.debug("received - {}", event);
	}

}
