package com.blogspot.nkoksharov.springevents.jgroups;

import java.io.Serializable;

import org.jgroups.Address;
import org.springframework.context.ApplicationEvent;

/**
 * Base JGroups event class for all cross-cluster events.
 *
 * @author nkoksharov
 *
 */
public class JGroupsEvent extends ApplicationEvent {

	private static final long serialVersionUID = -9125986184538389909L;

	private final Serializable source;
	private Address src;

	public JGroupsEvent(Serializable source) {
		super(source);
		this.source = source;
	}

	void setSrc(Address src) {
        this.src = src;
    }

	public Address getSrc() {
        return src;
    }

	public Object getSource() {
	    return source;
	}

	@Override
	public String toString() {
	    return "src-address: " + src + " src-object: " + source;
	}

}
