package com.blogspot.nkoksharov.springevents.jgroups;

import org.jgroups.ExtendedReceiverAdapter;
import org.jgroups.Message;
import org.jgroups.View;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * JGroups events receiver. Multicasts events to LocalEventMulticaster
 *
 * @see com.blogspot.nkoksharov.springevents.jgroups.LocalEventMulticaster
 *
 * @author nkoksharov
 *
 */
public class JGroupsReceiver extends ExtendedReceiverAdapter {

    private final Logger logger = LoggerFactory.getLogger(getClass());
	private LocalEventMulticaster localMulticaster;

	@Override
	public void receive(Message msg) {
		JGroupsEvent event = (JGroupsEvent) msg.getObject();
		event.setSrc(msg.getSrc());
		localMulticaster.localMulticastEvent(event);
	}

	@Override
	public void viewAccepted(View view) {
	    logger.debug("current view - {}", view);
	}

	public void setLocalMulticater(LocalEventMulticaster localMulticaster) {
		this.localMulticaster = localMulticaster;
	}

}
